> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create AI content

> Create or update AI content



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /aicontent
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /aicontent:
    post:
      tags:
        - AI content
      summary: Create AI content
      description: Create or update AI content
      operationId: Create
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAIContentDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    CreateAIContentDto:
      properties:
        title:
          type: string
        content: {}
        contentId:
          type: string
        batchId:
          type: string
        type:
          type: string
        readMoreUrl:
          type: string
        readMoreLabel:
          type: string
      required:
        - title
        - content
        - contentId
        - type
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````